Bug 519479 - dhclient/dhcp policycoreutils dep
dhclient/dhcp policycoreutils dep
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-26 15:00 EDT by Pete Wyckoff
Modified: 2009-11-10 12:47 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.1.0p1-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-10 12:47:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Wyckoff 2009-08-26 15:00:59 EDT
dhcp.spec rev 1.260 fixed bug 506600 in part by
adding some /sbin/restorecon calls in post script.
There are also some recent changes in dhclient-script
in F11 to use restorecon.

These are great, but bloat the dependency chain to
include policycoreutils and all its dependencies.
A nice way to use restorecon is to protect it with
[ -x /sbin/restorecon ] && /sbin/restorecon ...
as discussed in bug 223899, for one example.

Please remove the policycoreutils deps so I don't
have to work around this dependency on every dhlcient
update. (F-11 and rawhide both.)
Comment 1 David Cantrell 2009-08-26 16:16:37 EDT
The [ -x /sbin/restorecon ] check is already there, I just had a Requires(post) on policycoreutils.  I've removed that and am building an update now.
Comment 2 Fedora Update System 2009-08-26 16:28:07 EDT
dhcp-4.1.0p1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dhcp-4.1.0p1-3.fc11
Comment 3 Pete Wyckoff 2009-08-26 17:23:18 EDT
That looks great!  Thanks for the quick response.  Could you take
the Requires(post) off the dhclient subpackage too? And the script
will need a [ -x ... ] clause.  I should have pointed out that one
as well.
Comment 4 David Cantrell 2009-08-26 17:37:46 EDT
Whoops, forgot the scriptlets and the dhclient package.  Building dhcp-4.1.0p1-4 now.
Comment 5 Pete Wyckoff 2009-08-26 21:14:41 EDT
Both dhclient and dhcp install now without policycoreutils.
The 4.1.0p1-4.f11 versions.  Thanks.
Comment 6 Fedora Update System 2009-08-27 18:54:56 EDT
dhcp-4.1.0p1-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9075
Comment 7 Fedora Update System 2009-11-10 12:46:50 EST
dhcp-4.1.0p1-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.